// daterangepicker JS
$(document).ready(function () {
    $('#tblproductionPlan').DataTable({
        scrollX: true,
        "order": [],
        "columns": [
            { "data": "Plan_id"},
            { "data": "description"},
            { "data": "manufacturing_order_number"},
            { "data": "plan_month"},
            { "data": "plan_year"},
            { "data": "trans_date"},
            { "data": "switch", className: "switch"  },

        ],

    });
});

var start = moment().subtract(29, 'days');
var end = moment();

function cb(start, end) {
    $('#dashboard-daterangepicker span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
    var start_date = new Date(start);
    var end_date = new Date(end);

    var str_start = start_date.getFullYear() + "-" + (start_date.getMonth() + 1) + "-" + start_date.getDate();
    var str_end = end_date.getFullYear() + "-" + (end_date.getMonth() + 1) + "-" + end_date.getDate();
    getProductionPlanToDate(str_start,str_end);
}

$('#dashboard-daterangepicker').daterangepicker({
    startDate: start,
    endDate: end,
    opens: $('body').hasClass('rtl') ? 'right' : 'left',
    ranges: {
        'Today': [moment(), moment()],
        'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
        'Last 7 Days': [moment().subtract(6, 'days'), moment()],
        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
        'This Month': [moment().startOf('month'), moment().endOf('month')],
        'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    }
}, cb);

cb(start, end);


// This function is use to get supplier Plans by employee
function getProductionPlanToDate(str_start,str_end) {
    console.log(str_start,str_end);
    // CreateSupplierPlanSchedule(id);
    $.ajax({
        type: 'GET',
        url: '/pp/Production_Plan/from/'+str_start+'/to/'+str_end,
        success: function(response) {
            console.log(response);

            if (response.data.success) {
                AppendSupplierByEmployee(response.data.result);
                CreateSupplierPlanSchedule(response.data);
                modelTable(response.data.result);
            }
        }, error: function(data) {
            console.log(data);
            console.log('Something went wrong!');
        }
    });
}


// This function is use to append supplier plans by employee
function AppendSupplierByEmployee(result) {
    console.log(result);
    var data = [];
    for (i = 0; i < result.length; i++) {
        var Plan_id = result[i]['customer_order_plan_id'];
        var description = result[i]['description'];
        var manufacturing_order_number = result[i]['manufacturing_order_number'];
        var plan_month = result[i]['plan_month'];
        var plan_year = result[i]['plan_year'];
        var trans_date = result[i]['trans_date'];
        // var quantity = result[i]['quantity'];

        data.push({
            "Plan_id": Plan_id,
            "description": description,
            "manufacturing_order_number": manufacturing_order_number,
            "plan_month": plan_month,
            "plan_year": plan_year,
            "trans_date": trans_date,
            // "quantity": quantity,
            "switch": '<button class="btn btn-success"><i class="fa fa-exchange" aria-hidden="true"></i></button>',
        });

        //table
        var table = $('#tblproductionPlan').DataTable();
        table.clear();
        table.rows.add(data).draw();
    }
    //CreateSupplierPlanSchedule();





}
function CreateSupplierPlanSchedule(data){
    console.log(data.result);
    if (data.success) {
        for (i=0; i < data.result.length; i++) {
            var date = data.result[i]['trans_date'];
            var supplier_name = data.result[i]['Plan_id'];
            var plan_quantity = data.result[i]['manufacturing_order_number'];
            var supply_plan_id = data.result[i]['order_id'];
            var product_name = data.result[i]['plan_year'];
            var employee_id = data.result[i]['Plan_id'];
            console.log(supply_plan_id)
            addShedule(supply_plan_id, supplier_name, date, date, plan_quantity, product_name, employee_id);
        }
        // addShedule(supply_plan_id, supplier_name, date, date, plan_quantity, product_name, employee_id);
        createCalendar();
    }
}
